#include <dataskt.h>
static DSHandle writeHandle;
#include <cvirte.h>		
#include <userint.h>
#include "test.h"

static int panelHandle;

 char *value[] = {"String Value 1", "String Value 2"};
 

int main (int argc, char *argv[])
{
	if (InitCVIRTE (0, argv, 0) == 0)
		return -1;	/* out of memory */
	if ((panelHandle = LoadPanel (0, "test.uir", PANEL)) < 0)
		return -1;
	DisplayPanel (panelHandle);
	RunUserInterface ();
	DiscardPanel (panelHandle);
	return 0;
}

int CVICALLBACK quit (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	switch (event)
		{
		case EVENT_COMMIT:
			QuitUserInterface (0);
			break;
		case EVENT_KEYPRESS:

			break;
		}
	return 0;
}

int CVICALLBACK start (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	switch (event)
		{
		case EVENT_COMMIT:
			DS_Open ("dstp://localhost/myWave", DSConst_WriteAutoUpdate, NULL,
					 NULL, &writeHandle);

			break;
		case EVENT_KEYPRESS:

			break;
		}
	return 0;
}

int CVICALLBACK write (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	switch (event)
		{
		case EVENT_COMMIT:
			DS_SetDataValue (writeHandle, CAVT_CSTRING | CAVT_ARRAY, value,
			sizeof (value) / sizeof (value[0]), 0);
			
// The above does not work and is a bug , writer works but reading is done incorrectly
		
			
		case EVENT_KEYPRESS:

			break;
		}
	return 0;
}
